function f_r=frss(tw,hw,tf,wf,E,I_z,f_y,l_t)

%% ----------------------- frss.m ------------------------------ %% 
%
% PURPOSE:   calculate the coefficient for f_r for stiffener side
%            so that f_r=coeff*f_y from eq. 7.28-7.33
%            for T-bar stiffeners    
%           
% INPUT:     see dnvcheck.m
%
% Author: David Larsson,        davidla@stud.ntnu.no
%
% June 2015
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


AW=tw*hw;
AF=tf*wf;

G=E/(2+2*0.3); % shear modulus

beta=1;
f_et=beta*G*((tw/hw)^2)*(AW+AF*(tf/tw)^2)/(AW+3*AF)...
    +pi*pi*E*I_z/(l_t*l_t*(AW/3+AF));

lambar_t=sqrt(f_y/f_et);

if lambar_t <= 0.6
f_r=f_y;
else
    mu_t=0.35*(lambar_t-0.6);
    f_t=(1+mu_t+lambar_t^2 ...
    -sqrt((1+mu_t +lambar_t^2)^2-4*lambar_t^2))/(2*lambar_t^2);
    f_r=f_t*f_y;
end

