function [samp_z,samp_x]=gen_samp(cent_pt,f,mu,dev)

%% --------------------- gen_samp.m --------------------------------- %% 
%
% PURPOSE: Generate a sample set in standard gaussian and gaussian
%          space based on a center point.
%
% INPUT:  cent_pt   - venter point coordinates for sample
%         f         - spread factor
%         mu        - means
%         dev       - std deviations
%
%
% Author: David Larsson,        davidla@stud.ntnu.no
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



nvar=length(mu);
samp_z=zeros(1+2*nvar,nvar);


% placing all samples at midpoint
for i=1:nvar
samp_z(:,i)=cent_pt(i);
end


%creating coordinates for sampling points in z-space
k=2;   % row operator
for i=1:nvar
    samp_z(k,i)=samp_z(k,i)+f;
    samp_z(k+1,i)=samp_z(k+1,i)-f;
    k=k+2;
end

% generating sample points in the x-space
samp_x=zeros(1+2*nvar,nvar);
for i=1:size(samp_z,1)
samp_x(i,:)=samp_z(i,:).*dev+mu;
end

end