function [samp_z,samp_x]=gen_samp_nonnorm(cent_pt,f,mu,dev)

%% --------------------- gen_samp_nonnorm.m --------------------------- %% 
%
% PURPOSE: Generate a sample set in gaussian
%          space based on a center point.
%
% INPUT:  cent_pt   - venter point coordinates for sample
%         f         - spread factor
%         mu        - means
%         dev       - std deviations
%
%
% Author: David Larsson,        davidla@stud.ntnu.no
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nvar=length(mu);
samp_x=zeros(1+2*nvar,nvar);
samp_z=zeros(1+2*nvar,nvar);

% placing all samples at midpoint
for i=1:nvar
samp_x(:,i)=cent_pt(i);
end

%creating coordinates for sampling points
k=2;   % row operator
for i=1:nvar
    samp_x(k,i)=samp_x(k,i)+ f*dev(i);
    samp_x(k+1,i)=samp_x(k+1,i)-f*dev(i);
    k=k+2;
end

end