# ******************* misesmidODB.py ************************
#							  		
# Created for ABAQUS-scripting interface.                
# Part of the Master Thesis:         	 	
# "Methods of Reliability Analysis for Marine Structures"
#
# Norwegian University of Science and Technology      	
# Department of Marine Technology              	
# 								
# Purpose:
# Access the Output Database from static analysis
# and print the von Mises stress in plate along the				
# midspan to file.    .                          	
#                                                        	
#                                                        	 
#                                                        	
# Author: David Larsson, davidla@stud.ntnu.no             	
#                                                        	
# 								
#								
# Date:   June 2015						
#								
# ************************************************************	

from abaqus import *
from abaqusConstants import *
session.Viewport(name='Viewport: 1', origin=(0.0, 0.0), width=338.0, 
    height=202.195007324219)
session.viewports['Viewport: 1'].makeCurrent()
session.viewports['Viewport: 1'].maximize()
from caeModules import *
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
session.viewports['Viewport: 1'].partDisplay.geometryOptions.setValues(
    referenceRepresentation=ON)
import os
os.chdir(r"W:\")
o1 = session.openOdb(name='W:/MISESLIN.odb', readOnly=False)
session.viewports['Viewport: 1'].setValues(displayedObject=o1)
#: Model: W:/buch_alg/MISESLIN.odb
#: Number of Assemblies:         1
#: Number of Assembly instances: 0
#: Number of Part instances:     1
#: Number of Meshes:             2
#: Number of Element Sets:       5
#: Number of Node Sets:          11
#: Number of Steps:              1


session.Path(name='midpath', type=NODE_LIST, expression=(('PLATEINSTANCE', (
    1767, 1861, )), ))
pth = session.paths['midpath']
session.XYDataFromPath(name='misesmid', path=pth, includeIntersections=True, 
    projectOntoMesh=False, pathStyle=PATH_POINTS, numIntervals=10, 
    projectionTolerance=0, shape=UNDEFORMED, labelType=TRUE_DISTANCE)
del session.xyDataObjects['misesmid']
del session.paths['midpath']
session.Path(name='Path-1', type=NODE_LIST, expression=(('PLATEINSTANCE', (
    1766, 1862, )), ))
pth = session.paths['Path-1']
session.XYDataFromPath(name='misesmid', path=pth, includeIntersections=True, 
    projectOntoMesh=False, pathStyle=PATH_POINTS, numIntervals=10, 
    projectionTolerance=0, shape=UNDEFORMED, labelType=TRUE_DISTANCE)
x0 = session.xyDataObjects['misesmid']
session.writeXYReport(fileName='mises_midspan.rpt', xyData=(x0, ))
