function  []=runabaq(sampdata,antype)

%% -------------------- runabaq.m ----------------------------------- %%
%
% PURPOSE: Print input file for ABAQUS-script and initiate 
%          the FE-analysis.
%
%
% INPUT: sampdata - vector with sample coordinates
%        antype   - analysis type,  1 = plate stress at midspan
%                                   2 = axial capacity
%
%
% Author: David Larsson,        davidla@stud.ntnu.no
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%Variables
PlateThick=sampdata(1);
AxF=sampdata(2);
LatPress=sampdata(3);
imp=sampdata(4);
YiStr=sampdata(5);
mo='noGUI';            % Do not execute GUI
%mo='script';          % Execute GUI

%Make python file with variables
delete('Var.py');
fid = fopen('Var.py', 'w');
fprintf(fid,'PlateThick = %1.5f\n',PlateThick);
fprintf(fid,'AxF = %8.1f\n',AxF);
fprintf(fid,'LatPress = %6.1f\n',LatPress);
fprintf(fid,'imperf = %1.7f\n',imp);
fprintf(fid,'YiStr = %7.1f\n',YiStr);
fclose(fid);

delete('abaqus.rpy')  % delete old record file

if antype==1
    system(['abaqus cae ',mo,'=statmain.py']); %Windows system?
elseif antype==2
    system(['abaqus cae ',mo,'=scriptuls.py']);
end