# ********************** ultstrODB.py ************************ 	#
#							  	#	
# Created for ABAQUS-scripting interface                
# Part of the Master Thesis:          	 	
# "Methods of Reliability Analysis for Marine Structures"  	
#      
# Norwegian University of Science and Technology      	
# Department of Marine Technology              	
# 								
# Purpose:
# Access the Output Database from 			
# axial capacity analysis and print the 				
# end shortening at each load step to    .             
# result file.                                         
#                                                        	  
#                                                        	
# Author: David Larsson, davidla@stud.ntnu.no             	
#                                                        	
# 								
#								
# Date:   June 2015						
#								
# *************************************************************	


from abaqus import *
from abaqusConstants import *
from caeModules import *
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
import os
os.chdir(r"W:\")
o1 = session.openOdb(name='W:/end_short.odb', readOnly=False)
session.viewports['Viewport: 1'].setValues(displayedObject=o1)
#: Model: W:/uls/end_short.odb
#: Number of Assemblies:         1
#: Number of Assembly instances: 0
#: Number of Part instances:     1
#: Number of Meshes:             2
#: Number of Element Sets:       5
#: Number of Node Sets:          11
#: Number of Steps:              2
odb = session.odbs['W:/goodtogo/end_short.odb']
session.XYDataFromHistory(name='LPFdata', odb=odb, 
    outputVariableName='Load proportionality factor: LPF for Whole Model', 
    steps=('ult_step', ), )
x0 = session.xyDataObjects['LPFdata']
session.writeXYReport(fileName='lpf.rpt', xyData=(x0, ))
